POST /v1/responses
Metin, araçlar, barındırılan web araması ve Codex CLI için OpenAI Responses uyumlu uç nokta.
POST /v1/responses
Rica etmek
curl https://api.model-gate.com/v1/responses \
-H "Authorization: Bearer mg_live_..." \
-H "Content-Type: application/json" \
-d '{
"model": "gpt-5.4",
"input": [
{
"role": "user",
"content": [{"type": "input_text", "text": "Summarize the release."}]
}
],
"stream": false
}'
Cevap
{
"id": "resp_example",
"object": "response",
"status": "completed",
"model": "gpt-5.4",
"output": [
{
"type": "message",
"role": "assistant",
"content": [{"type": "output_text", "text": "The release adds synchronized documentation and model aliases."}]
}
],
"usage": {
"input_tokens": 18,
"output_tokens": 14,
"total_tokens": 32
}
}
Barındırılan web araması
Eklemek:
{
"tools": [{"type": "web_search"}],
"tool_choice": "required",
"include": ["web_search_call.action.sources"]
}
Ayrı bir destek yok /v1/web-search sözleşme. Yanıtlar API aracını kullanın.
Eşzamansız
"async": true yalnızca şununla desteklenir: "stream": false.